<?php
$general->createLog('customer_collection_action',$_POST);
$id=intval($_POST['id']);
$db->transactionStart();
$action =$acc->confirmCustomerDeposit($id,$jArray);
$jArray[fl()]=$action;
if($action['status']==1){
    $ac=true;
    setMessage(2,$action['message']);
    $jArray['status']=1;
}
else{
    $ac=false;
    setMessage(1,$action['message']);
}
$db->transactionStop($ac);
$general->createLog('customer_collection_action',$jArray);

// $old=$db->get_rowData('customer_amount_receive','id',$id);
// if(!empty($old)&&$old['status']==0){
//     $data=[
//         'confirm_by'=>USER_ID,
//         'confirm_time'=>TIME,
//         'status'=>1
//     ];
//     $where=['id'=>$id];
//     $update=$db->update('customer_amount_receive',$data,$where,'array',$jArray);
//     if($update){
//         $c=$smt->customerInfoByID($old['customer_id']);
//         if(!empty($c['mobile'])){
//             $sms_text="Dear Valued Customer, our accounts received $old[amount] Tk from you. Thanks for your collection. Panacea Agrovet Ltd 01313444277";
//             $sms_data=[
//                 'text'=>$sms_text,
//             ];
//             $data=[
//                 'data'=>json_encode($sms_data),
//                 'mobile'=>$c['mobile'],
//                 'add_time'=>TIME
//             ];
//             $jArray[fl()]=$data;
//             $sms_send=$db->insert('queue_sms',$data,true,'array',$jArray);
//             $jArray[fl()]=$sms_send;
//             if(!$sms_send){setMessage(66);$error=fl();}
//         }
//     }
//     if(!isset($error)){
//         setMessage(2,'Deposit confirmed');
//         $jArray['status']=1;
//     }
// }

